
QGIS Application - Bug report #15659

Crash when deleting features with node tool (2.14 for Mac OS)

2016-10-04 02:03 AM - Elia De Marchi

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:2.14.3 Regression?: No

Operating System: Mac OS Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23582

Description

This problem has been discussed many times in last years: when you delete a polygon deleting all the nodes, when you select an other

polygon Qgis crashes.

It has been corrected in the version 2.8 both for windows and mac software but now, with both the version 2.14.3 and 2.14.7 for Mac OS,

the problem is still present and causes crashes.

It has been discussed already and solved in:

    -  Bug report #6240

    -  Bug report #13674

and many other

Associated revisions

Revision c093d518 - 2016-10-07 12:09 PM - Martin Dobias

Fix crash in node tool after deleting the whole geometry (fixes #15659)

Made sure that both closestVertex() and closestSegment() return negative

distance on error (e.g. with null or emtpy geometry).

Also fixes snapping when dealing with layers with null/invalid geometries

Revision afd04eb0 - 2016-10-31 05:50 AM - Martin Dobias

Fix crash in node tool after deleting the whole geometry (fixes #15659)

Made sure that both closestVertex() and closestSegment() return negative

distance on error (e.g. with null or emtpy geometry).

Also fixes snapping when dealing with layers with null/invalid geometries

(cherry picked from commit c093d5188fad685c4a596ff23c27aad7d151dac2)

Revision 24fbe1a0 - 2016-10-31 05:51 AM - Martin Dobias

Fix crash in node tool after deleting the whole geometry (fixes #15659)

2024-04-27 1/3



Made sure that both closestVertex() and closestSegment() return negative

distance on error (e.g. with null or emtpy geometry).

Also fixes snapping when dealing with layers with null/invalid geometries

(cherry picked from commit c093d5188fad685c4a596ff23c27aad7d151dac2)

History

#1 - 2016-10-04 02:36 AM - Elia De Marchi

This is the report of the error:

0   libqgis_app.2.14.3.dylib          0x0000000104032469 QgsSelectedFeature::isSelected(int) + 23

1   libqgis_app.2.14.3.dylib          0x000000010402d3df QgsMapToolNodeTool::canvasPressEvent(QgsMapMouseEvent*) + 745

2   org.qgis.qgis2_gui                0x00000001049450ad QgsMapCanvas::mousePressEvent(QMouseEvent*) + 97

3   QtGui                             0x00000001061ed590 QWidget::event(QEvent*) + 2816

4   QtGui                             0x000000010658340c QFrame::event(QEvent*) + 44

5   QtGui                             0x000000010660fbb7 QAbstractScrollArea::viewportEvent(QEvent*) + 23

6   QtGui                             0x00000001067bbeeb QGraphicsView::viewportEvent(QEvent*) + 123

7   QtGui                             0x0000000106611f40 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48

8   QtCore                            0x0000000105ecf137 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) + 151

9   QtGui                             0x0000000106195b3e QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142

10  QtGui                             0x000000010619bf10 QApplication::notify(QObject*, QEvent*) + 8752

11  org.qgis.qgis2_core               0x0000000105363595 QgsApplication::notify(QObject*, QEvent*) + 93

12  QtCore                            0x0000000105ecf68c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

13  QtGui                             0x000000010619d29d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) + 333

14  QtGui                             0x000000010614968b qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 763

15  com.apple.AppKit                  0x00007fff9220b469 -[NSWindow _handleMouseDownEvent:isDelayedEvent:] + 6322

16  com.apple.AppKit                  0x00007fff9220c44d -[NSWindow _reallySendEvent:isDelayedEvent:] + 212

17  com.apple.AppKit                  0x00007fff91c4b63d -[NSWindow sendEvent:] + 517

18  QtGui                             0x000000010613e6f7 -[QCocoaWindow sendEvent:] + 87

19  com.apple.AppKit                  0x00007fff91bcbb3c -[NSApplication sendEvent:] + 2540

20  QtGui                             0x00000001061437d4 -[QNSApplication sendEvent:] + 84

21  com.apple.AppKit                  0x00007fff91a32ef6 -[NSApplication run] + 796

22  QtGui                             0x000000010614e640 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1824

23  QtCore                            0x0000000105ece5a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

24  QtCore                            0x0000000105ece954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

25  QtCore                            0x0000000105ed11cc QCoreApplication::exec() + 188

26  org.qgis.qgis2                    0x0000000103c4253d main + 21409

27  libdyld.dylib                     0x00007fff902775ad start + 1

#2 - 2016-10-07 12:25 AM - Martin Dobias

- Assignee set to Martin Dobias

#3 - 2016-10-07 03:10 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"c093d5188fad685c4a596ff23c27aad7d151dac2".
#4 - 2016-12-12 03:31 AM - Elia De Marchi

Is the correction of the error valid from the other release of 2.14 or only from the 2.18?

I ask that cause I found the same error again in the release 2.14.8 for Mac.

Thanks
